module CodebreakerGame
  class DifficultyFactory
    EASY_NAME = 'easy'.freeze
    MEDIUM_NAME = 'medium'.freeze
    HARD_NAME = 'hard'.freeze

    def difficulty_by_name(name)
      case name
      when EASY_NAME then Difficulty.new(EASY_NAME, 2, 15)
      when MEDIUM_NAME then Difficulty.new(MEDIUM_NAME, 1, 10)
      when HARD_NAME then Difficulty.new(HARD_NAME, 1, 5)
      else
        raise WrongDifficultyError, 'Wrong difficulty name'
      end
    end
  end
end
