module CodebreakerGame
  class User
    attr_reader :name, :hints_used, :attempts_used

    def initialize(name, difficulty)
      @name = name
      @difficulty = difficulty
      @hints_used = 0
      @attempts_used = 0
    end

    attr_reader :difficulty

    def hints_total
      @difficulty.hints
    end

    def attempts_total
      @difficulty.attempts
    end

    def attempt
      @attempts_used += 1
    end

    def hint
      @hints_used += 1
    end

    def hints?
      @hints_used < @difficulty.hints
    end

    def attempts?
      @attempts_used < @difficulty.attempts
    end
  end
end
