module CodebreakerGame
  module Storage
    STAT_FILE = './storage/statistics.yml'.freeze

    def storage_exists?
      File.exist? STAT_FILE
    end

    def storage_file
      STAT_FILE
    end

    def flush
      File.delete(STAT_FILE) if storage_exists?
    end

    def new_store(filename = STAT_FILE)
      YAML::Store.new(filename)
    end
  end
end
